<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 17:23:40 CEST 2020 -->
<title>FaultTreeVisualizer</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FaultTreeVisualizer";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FaultTreeVisualizer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/polarsys/chess/fla/faultTreeGenerator/visualization/FaultTreeVisualizer.html" target="_top">Frames</a></li>
<li><a href="FaultTreeVisualizer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.fla.faultTreeGenerator.visualization</div>
<h2 title="Class FaultTreeVisualizer" class="title">Class FaultTreeVisualizer</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.polarsys.chess.fla.faultTreeGenerator.visualization.FaultTreeVisualizer</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">FaultTreeVisualizer</span>
extends java.lang.Object</pre>
<div class="block">The Class FaultTreeVisualizer.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/fla/faultTreeGenerator/visualization/FaultTreeVisualizer.html#FaultTreeVisualizer--">FaultTreeVisualizer</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../org/polarsys/chess/fla/faultTreeGenerator/visualization/FaultTreeVisualizer.html" title="class in org.polarsys.chess.fla.faultTreeGenerator.visualization">FaultTreeVisualizer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/fla/faultTreeGenerator/visualization/FaultTreeVisualizer.html#getInstance--">getInstance</a></span>()</code>
<div class="block">Gets the single instance of FaultTreeVisualizer.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/fla/faultTreeGenerator/visualization/FaultTreeVisualizer.html#openFTAViewerFromEmftaFile-org.eclipse.core.resources.IFile-org.eclipse.core.runtime.IProgressMonitor-">openFTAViewerFromEmftaFile</a></span>(org.eclipse.core.resources.IFile&nbsp;file,
                          org.eclipse.core.runtime.IProgressMonitor&nbsp;monitor)</code>
<div class="block">Open FTA viewer from emfta file.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/fla/faultTreeGenerator/visualization/FaultTreeVisualizer.html#openFTAViewerFromFTAResource-org.eclipse.emf.ecore.resource.Resource-org.eclipse.core.runtime.IProgressMonitor-">openFTAViewerFromFTAResource</a></span>(org.eclipse.emf.ecore.resource.Resource&nbsp;ftaResource,
                            org.eclipse.core.runtime.IProgressMonitor&nbsp;monitor)</code>
<div class="block">Open FTA viewer from FTA resource.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/fla/faultTreeGenerator/visualization/FaultTreeVisualizer.html#openFTAViewerFromSelectedXmlFile-org.eclipse.jface.viewers.IStructuredSelection-org.eclipse.core.runtime.IProgressMonitor-">openFTAViewerFromSelectedXmlFile</a></span>(org.eclipse.jface.viewers.IStructuredSelection&nbsp;selection,
                                org.eclipse.core.runtime.IProgressMonitor&nbsp;monitor)</code>
<div class="block">Open FTA viewer from selected xml file.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/fla/faultTreeGenerator/visualization/FaultTreeVisualizer.html#openXmlIFileInFTAViewer-org.eclipse.core.resources.IFile-org.eclipse.core.runtime.IProgressMonitor-">openXmlIFileInFTAViewer</a></span>(org.eclipse.core.resources.IFile&nbsp;xmlIFile,
                       org.eclipse.core.runtime.IProgressMonitor&nbsp;monitor)</code>
<div class="block">Open xml I file in FTA viewer.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/fla/faultTreeGenerator/visualization/FaultTreeVisualizer.html#openXmlIFileInFTAViewer-java.lang.String-org.eclipse.core.runtime.IProgressMonitor-">openXmlIFileInFTAViewer</a></span>(java.lang.String&nbsp;xmlFilePath,
                       org.eclipse.core.runtime.IProgressMonitor&nbsp;monitor)</code>
<div class="block">Open xml I file in FTA viewer.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/fla/faultTreeGenerator/visualization/FaultTreeVisualizer.html#openXMLIFileInFTAViewerFromDialog-org.eclipse.core.runtime.IProgressMonitor-">openXMLIFileInFTAViewerFromDialog</a></span>(org.eclipse.core.runtime.IProgressMonitor&nbsp;monitor)</code>
<div class="block">Open XMLI file in FTA viewer from dialog.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FaultTreeVisualizer--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FaultTreeVisualizer</h4>
<pre>public&nbsp;FaultTreeVisualizer()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getInstance--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInstance</h4>
<pre>public static&nbsp;<a href="../../../../../../org/polarsys/chess/fla/faultTreeGenerator/visualization/FaultTreeVisualizer.html" title="class in org.polarsys.chess.fla.faultTreeGenerator.visualization">FaultTreeVisualizer</a>&nbsp;getInstance()</pre>
<div class="block">Gets the single instance of FaultTreeVisualizer.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>single instance of FaultTreeVisualizer</dd>
</dl>
</li>
</ul>
<a name="openFTAViewerFromEmftaFile-org.eclipse.core.resources.IFile-org.eclipse.core.runtime.IProgressMonitor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openFTAViewerFromEmftaFile</h4>
<pre>public&nbsp;void&nbsp;openFTAViewerFromEmftaFile(org.eclipse.core.resources.IFile&nbsp;file,
                                       org.eclipse.core.runtime.IProgressMonitor&nbsp;monitor)
                                throws java.lang.Exception</pre>
<div class="block">Open FTA viewer from emfta file.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>file</code> - the file</dd>
<dd><code>monitor</code> - the monitor</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code> - the exception</dd>
</dl>
</li>
</ul>
<a name="openFTAViewerFromSelectedXmlFile-org.eclipse.jface.viewers.IStructuredSelection-org.eclipse.core.runtime.IProgressMonitor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openFTAViewerFromSelectedXmlFile</h4>
<pre>public&nbsp;void&nbsp;openFTAViewerFromSelectedXmlFile(org.eclipse.jface.viewers.IStructuredSelection&nbsp;selection,
                                             org.eclipse.core.runtime.IProgressMonitor&nbsp;monitor)
                                      throws java.lang.Exception</pre>
<div class="block">Open FTA viewer from selected xml file.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>selection</code> - the selection</dd>
<dd><code>monitor</code> - the monitor</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code> - the exception</dd>
</dl>
</li>
</ul>
<a name="openXMLIFileInFTAViewerFromDialog-org.eclipse.core.runtime.IProgressMonitor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openXMLIFileInFTAViewerFromDialog</h4>
<pre>public&nbsp;void&nbsp;openXMLIFileInFTAViewerFromDialog(org.eclipse.core.runtime.IProgressMonitor&nbsp;monitor)
                                       throws java.lang.Exception</pre>
<div class="block">Open XMLI file in FTA viewer from dialog.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>monitor</code> - the monitor</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code> - the exception</dd>
</dl>
</li>
</ul>
<a name="openXmlIFileInFTAViewer-java.lang.String-org.eclipse.core.runtime.IProgressMonitor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openXmlIFileInFTAViewer</h4>
<pre>public&nbsp;void&nbsp;openXmlIFileInFTAViewer(java.lang.String&nbsp;xmlFilePath,
                                    org.eclipse.core.runtime.IProgressMonitor&nbsp;monitor)
                             throws java.lang.Exception</pre>
<div class="block">Open xml I file in FTA viewer.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>xmlFilePath</code> - the xml file path</dd>
<dd><code>monitor</code> - the monitor</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code> - the exception</dd>
</dl>
</li>
</ul>
<a name="openXmlIFileInFTAViewer-org.eclipse.core.resources.IFile-org.eclipse.core.runtime.IProgressMonitor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openXmlIFileInFTAViewer</h4>
<pre>public&nbsp;void&nbsp;openXmlIFileInFTAViewer(org.eclipse.core.resources.IFile&nbsp;xmlIFile,
                                    org.eclipse.core.runtime.IProgressMonitor&nbsp;monitor)
                             throws java.lang.Exception</pre>
<div class="block">Open xml I file in FTA viewer.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>xmlIFile</code> - the xml I file</dd>
<dd><code>monitor</code> - the monitor</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code> - the exception</dd>
</dl>
</li>
</ul>
<a name="openFTAViewerFromFTAResource-org.eclipse.emf.ecore.resource.Resource-org.eclipse.core.runtime.IProgressMonitor-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>openFTAViewerFromFTAResource</h4>
<pre>public&nbsp;void&nbsp;openFTAViewerFromFTAResource(org.eclipse.emf.ecore.resource.Resource&nbsp;ftaResource,
                                         org.eclipse.core.runtime.IProgressMonitor&nbsp;monitor)
                                  throws java.lang.Exception</pre>
<div class="block">Open FTA viewer from FTA resource.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ftaResource</code> - the fta resource</dd>
<dd><code>monitor</code> - the monitor</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code> - the exception</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FaultTreeVisualizer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/polarsys/chess/fla/faultTreeGenerator/visualization/FaultTreeVisualizer.html" target="_top">Frames</a></li>
<li><a href="FaultTreeVisualizer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
